# -*- encoding: utf-8 -*-
# stub: csv-diff 0.6.1 ruby lib

Gem::Specification.new do |s|
  s.name = "csv-diff".freeze
  s.version = "0.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Adam Gardiner".freeze]
  s.date = "2020-10-21"
  s.description = "        This library performs diffs of CSV data, or any table-like source.\n\n        Unlike a standard diff that compares line by line, and is sensitive to the\n        ordering of records, CSV-Diff identifies common lines by key field(s), and\n        then compares the contents of the fields in each line.\n\n        Data may be supplied in the form of CSV files, or as an array of arrays. The\n        diff process provides a fine level of control over what to diff, and can\n        optionally ignore certain types of changes (e.g. changes in position).\n\n        CSV-Diff is particularly well suited to data in parent-child format. Parent-\n        child data does not lend itself well to standard text diffs, as small changes\n        in the organisation of the tree at an upper level can lead to big movements\n        in the position of descendant records. By instead matching records by key,\n        CSV-Diff avoids this issue, while still being able to detect changes in\n        sibling order.\n\n        This gem implements the core diff algorithm, and handles the loading and\n        diffing of CSV files (or Arrays of Arrays). It also supports converting\n        data in XML format into tabular form, so that it can then be processed\n        like any other CSV or table-like source.  It returns a CSVDiff object\n        containing the details of differences in object form. This is useful for\n        projects that need diff capability, but want to handle the reporting or\n        actioning of differences themselves.\n\n        For a pre-built diff reporting capability, see the csv-diff-report gem,\n        which provides a command-line tool for generating diff reports in HTML,\n        Excel, or text formats.\n".freeze
  s.email = "adam.b.gardiner@gmail.com".freeze
  s.homepage = "https://github.com/agardiner/csv-diff".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "For command-line tools and diff reports, 'gem install csv-diff-report'".freeze
  s.rubygems_version = "3.2.22".freeze
  s.summary = "CSV Diff is a library for generating diffs from data in CSV or XML format".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
